Bug 20836 - cpp does not output '#' lines for some files
cpp does not output '#' lines for some files
Product: Red Hat Linux
Classification: Retired
Component: cpp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2000-11-14 12:09 EST by chris
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-17 05:15:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description chris 2000-11-14 12:09:19 EST
The version of cpp included with RH7.0 doesn't output lines of the form:

# nnn "/usr/include/blahdeblah.h" n n

for any included files which don't generate output (i.e. which only contain
#defines).  Specifically, it doesn't generate such a line for
/usr/include/bits/signum.h, which breaks compilation of the latest
development version of zsh.
Comment 1 Jakub Jelinek 2000-11-15 09:00:22 EST
What does zsh need it for? I don't think C99 mandates the preprocessor to output
them for headers not generating any output.
Comment 2 chris 2000-11-15 09:13:13 EST
You're probably right - I couldn't say whether it's actually mandatory or not.
The issue with zsh is described at:


Comment 3 Jakub Jelinek 2000-11-17 05:15:24 EST
Should be fixed in gcc-2.96-64.

Note You need to log in before you can comment on or make changes to this bug.